function Create(self)
	local Effect
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel
	self.lifeTimer = Timer();
	
	Effect = CreateMOPixel("Laser Particle", "XCo.rte")
	if Effect then
		Effect.Vel = self.Vel
		Effect.Pos = self.Pos - Offset * 1.25	-- place the MOPixels in front of the MOSRotating
		Effect.Team = self.Team
		Effect.IgnoresTeamHits = true
		MovableMan:AddParticle(Effect)
	end
	
    -- trail effects
	for i = 1, 10 do
		Effect = CreateMOPixel("Laser Trail Particle", "XCo.rte")
		if Effect then
			Effect.Vel = self.Vel*(RangeRand(0,1)); --self:RotateOffset(Vector(RangeRand(0,150), RangeRand(-2,2)))
			Effect.Pos = self.Pos - Offset + Vector(0, RangeRand(-2,2))
			MovableMan:AddParticle(Effect)
		end
	end
	
	-- muzzle sparks up
	for i = 1, 5 do
		Effect = CreateMOPixel("Laser Muzzle Spark "..math.random(3), "XCo.rte")
		if Effect then
			Effect.Vel = self:RotateOffset(Vector(RangeRand(-2,2), RangeRand(0,10)))
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end
	
	-- muzzle sparks down
	for i = 1, 5 do
		Effect = CreateMOPixel("Laser Muzzle Spark "..math.random(3), "XCo.rte")
		if Effect then
			Effect.Vel = self:RotateOffset(Vector(RangeRand(-2,2), -RangeRand(0,10)))
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end	
	-- muzzle sparks 360
	for i = 1, 5 do
		Effect = CreateMOPixel("Laser Muzzle Spark "..math.random(3), "XCo.rte")
		if Effect then
			Effect.Vel = Vector((math.random()*5)+5,0):RadRotate(math.random()*6.28318);
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end
end

function Update(self)
	local Effect
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel
		
		Effect = CreateMOPixel("Laser Muzzle Spark "..math.random(3), "XCo.rte")
	-- smoke trail
	if Effect then	
			Effect.Pos = self.Pos + Vector(RangeRand(-3,3), RangeRand(-3,3));
			Effect.Vel = Vector((math.random()*5),0):RadRotate(math.random()*6.28318);
			Effect.Team = self.Team;
			Effect.IgnoresTeamHits = true;
			MovableMan:AddParticle(Effect);
	end

	if self.lifeTimer:IsPastSimMS(350) then		
		self.ToDelete = true;	
		self:GibThis();
	end

end
