function Create(self)
	local Effect
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel
	self.lifeTimer = Timer();

	-- bullets
	--for i = 1, 3 do
		Effect = CreateMOPixel("XC-71 Particle", "Xco.rte")
		if Effect then
			Effect.Vel = self.Vel
			Effect.Pos = self.Pos - Offset * 1.25 --self.Pos + Offset * 0.25	-- place the MOPixels in front of the MOSRotating
			Effect.Team = self.Team
			Effect.IgnoresTeamHits = true
			MovableMan:AddParticle(Effect)
		end
	--end
	
	-- smoke forward
	for i = 1, 5 do
		Effect = CreateMOSParticle("Side Thruster Blast Ball 1", "Base.rte")
		if Effect then
			Effect.Vel = self:RotateOffset(Vector(RangeRand(0,20),0))
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end
	
	-- smoke up
	for i = 1, 3 do
		Effect = CreateMOSParticle("Tiny Smoke Ball 1", "Base.rte")
		if Effect then
			Effect.Vel = self:RotateOffset(Vector(RangeRand(5,10), -RangeRand(2,6)))
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end
	
	-- smoke down
	for i = 1, 3 do
		Effect = CreateMOSParticle("Tiny Smoke Ball 1", "Base.rte")
		if Effect then
			Effect.Vel = self:RotateOffset(Vector(RangeRand(5,10), RangeRand(2,6)))
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end
end

function Update(self)
	local Effect
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel
	
	-- smoke trail
	Effect = CreateMOSParticle("XC-71 Smoke Trail 1", "Xco.rte")
	--Effect = CreateMOPixel("Bullet XC-Ballistic normal", "Xco.rte")
	if Effect then
		Effect.Pos = self.Pos - Offset + Vector(RangeRand(-1, 1), RangeRand(-1, 1))
		Effect.Vel = Vector(RangeRand(15, 15), RangeRand(15, 15))
		MovableMan:AddParticle(Effect)
	end	
		
	if not self.lifeTimer:IsPastSimMS(600) then 
		for i = 1, 3 do	
			Effect = CreateMOSParticle("XC-71 Smoke Trail " .. math.random(1)+1, "Xco.rte")
			if Effect then
				Effect.Pos = self.Pos - Offset + Vector(RangeRand(-1, 1), RangeRand(-1, 1))
				Effect.Vel = Vector(RangeRand(0, 15), RangeRand(0, 15))
				MovableMan:AddParticle(Effect)
			end
		end
	end

	if self.lifeTimer:IsPastSimMS(600) then
		self:GibThis();	
	end

end
