function Create(gun)
	local weapon = ToHDFirearm(gun);
	originalROF = weapon.RateOfFire;
	originalSharpShake = weapon.SharpShakeRange;
	originalShake = weapon.ShakeRange;
end
	
function Update(gun)	
	local weapon = ToHDFirearm(gun);
	if weapon:IsActivated() then	
		local currentROF = weapon.RateOfFire;

		if currentROF <= 1200 then
			weapon.RateOfFire = currentROF + 2 + math.random(0, 3)
		end

		if currentROF > 600 then
				weapon.ShakeRange = originalShake + 3
				weapon.SharpShakeRange = originalShake + 0.25
		end
		
	else
		weapon.RateOfFire = originalROF 	
		weapon.ShakeRange = originalShake
		weapon.SharpShakeRange = originalSharpShake
	end
end