function Create(self)
	local Effect
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel

	-- bullets
	--for i = 1, 5 do
	--	Effect = CreateMOPixel("XCB-4 Bomb Particle", "Xco.rte")
	--	if Effect then
	--		Effect.Vel = self.Vel
	--		Effect.Pos = self.Pos + Offset * 0.25	-- place the MOPixels in front of the MOSRotating
	--		Effect.Team = self.Team
	--		Effect.IgnoresTeamHits = true
	--		MovableMan:AddParticle(Effect)
	--	end
	--end
	
	-- smoke forward
	for i = 1, 3 do
		Effect = CreateMOSParticle("Side Thruster Blast Ball 1", "Base.rte")
		if Effect then
			Effect.Vel = self:RotateOffset(Vector(RangeRand(3,9),RangeRand(-3,0)))
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end
	
	-- smoke up
	for i = 1, 3 do
		Effect = CreateMOSParticle("Tiny Smoke Ball 1", "Base.rte")
		if Effect then
			Effect.Vel = self:RotateOffset(Vector(RangeRand(-2,2), -RangeRand(7,2)))
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end
	
	-- smoke down
	for i = 1, 3 do
		Effect = CreateMOSParticle("Tiny Smoke Ball 1", "Base.rte")
		if Effect then
			Effect.Vel = self:RotateOffset(Vector(RangeRand(-2,2), RangeRand(7,2)))
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end
end

function Update(self)
	local Effect
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel

	local trailLength = math.floor(Offset.Magnitude+0.5)
		
	for i = 1, 3 do	
		Effect = CreateMOPixel("XCB-4 Bomb Particle", "Xco.rte")
		if Effect then
			Effect.Pos = self.Pos - Offset + Vector(RangeRand(0, 5), 0)
			Effect.Vel = self.Vel * RangeRand(0.1, 1)
			MovableMan:AddParticle(Effect)		
		end
	end
	
	Effect = CreateMOSParticle("Small Smoke Ball 1", "Xco.rte")
	if Effect then
		Effect.Pos = self.Pos - Vector(RangeRand(0, 1), 0)
		Effect.Vel = self.Vel
		MovableMan:AddParticle(Effect)
	end
	
	for i = 1, trailLength, 12 do
			Effect = CreateMOSParticle("Cannon Smoke Trail 3", "Xco.rte")
			if Effect then
				Effect.Pos = self.Pos - Offset * (i/trailLength) + Vector(RangeRand(-2, 2), RangeRand(-4, 4))
				Effect.Vel = self.Vel * RangeRand(0, 1.0)
				MovableMan:AddParticle(Effect)
			end
		end
	
	for i = 1, trailLength, 12 do
		Effect = CreateMOSParticle("Cannon Smoke Trail 2", "Xco.rte")
		if Effect then
			Effect.Pos = self.Pos - Offset * (i/trailLength) + Vector(RangeRand(-2, 2), RangeRand(-4, 4))
			Effect.Vel = self.Vel * RangeRand(0, 1.0)
			MovableMan:AddParticle(Effect)
		end
	end
end
