function Create(self)
	local Effect
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel
	self.lifeTimer = Timer();

	-- bullets
	--for i = 1, 5 do
	--	Effect = CreateMOPixel("XCB-4 Slug Particle", "Xco.rte")
	--	if Effect then
	--		Effect.Vel = self.Vel * RangeRand(0.5,1.5)
	--		Effect.Pos = self.Pos + Offset * 0.25	-- place the MOPixels in front of the MOSRotating
	--		Effect.Team = self.Team
	--		Effect.IgnoresTeamHits = true
	--		MovableMan:AddParticle(Effect)
	--	end
	--end
	
	-- smoke forward
	for i = 1, 3 do
		Effect = CreateMOSParticle("Side Thruster Blast Ball 1", "Base.rte")
		if Effect then
			Effect.Vel = self:RotateOffset(Vector(RangeRand(3,9),RangeRand(-3,0)))
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end
	
	-- smoke up
	for i = 1, 3 do
		Effect = CreateMOSParticle("Tiny Smoke Ball 1", "Base.rte")
		if Effect then
			Effect.Vel = self:RotateOffset(Vector(RangeRand(-2,2), -RangeRand(7,2)))
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end
	
	-- smoke down
	for i = 1, 3 do
		Effect = CreateMOSParticle("Tiny Smoke Ball 1", "Base.rte")
		if Effect then
			Effect.Vel = self:RotateOffset(Vector(RangeRand(-2,2), RangeRand(7,2)))
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end
end

function Update(self)
	local Effect
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel

	--local particle amount = 3 - self.lifeTimer/100
	local trailLength = math.floor(Offset.Magnitude+0.5)
	
	
	
	Effect = CreateMOPixel("XCB-4 Slug Particle", "Xco.rte")
	if Effect then
		Effect.Pos = self.Pos - Vector(RangeRand(0, 1), 0)
		Effect.Vel = self.Vel
		MovableMan:AddParticle(Effect)
	end
	
	if not self.lifeTimer:IsPastSimMS(200) then
		for i = 1, trailLength, 6 do
			Effect = CreateMOSParticle("Cannon Smoke Trail 1", "Xco.rte")
			if Effect then
				Effect.Pos = self.Pos - Offset * (i/trailLength) + Vector(RangeRand(-2, 5), RangeRand(-2, 2))
				Effect.Vel = self.Vel * RangeRand(0, 1.0)
				MovableMan:AddParticle(Effect)
			end
		end
	end
	
	if not self.lifeTimer:IsPastSimMS(400) then
		for i = 1, trailLength, 6 do
			Effect = CreateMOSParticle("Cannon Smoke Trail 3", "Xco.rte")
			if Effect then
				Effect.Pos = self.Pos - Offset * (i/trailLength) + Vector(RangeRand(-2, 2), RangeRand(-2, 2))
				Effect.Vel = self.Vel * RangeRand(0, 1.0)
				MovableMan:AddParticle(Effect)
			end
		end
	end
	
	for i = 1, trailLength, 6 do
		Effect = CreateMOSParticle("Cannon Smoke Trail 2", "Xco.rte")
		if Effect then
			Effect.Pos = self.Pos - Offset * (i/trailLength) + Vector(RangeRand(-2, 2), RangeRand(-2, 2))
			Effect.Vel = self.Vel * RangeRand(0, 1.0)
			MovableMan:AddParticle(Effect)
		end
	end
	
	--if self.lifeTimer:IsPastSimMS(400) then
	--	self:GibThis();	
	--end
end
