function Create(gun)	
	local gun = ToHDFirearm(gun);
	local magSwitchName = "XCL-7 Focused Cell";
	local odds = math.random(0, 5);
	length = 3;
	if odds > 3 then 
		magSwitchName = "XCL-7 Salvo Cell" 			
		gun.ActivationDelay = 800
	end

	if gun.Magazine == nil or (gun.Magazine ~= nil and gun.Magazine.PresetName ~= magSwitchName) then
		gun:SetNextMagazineName(magSwitchName);
		gun:Reload();			
	end
end

function Update(gun)  	
	local gun = ToHDFirearm(gun);  
	local Effect
	
	if gun:IsActivated() and gun.Magazine ~= nil and gun.Magazine.RoundCount>0 then
		length = length + 3;
		if length > 18 then length = math.random(18) end
	
		Effect = CreateMOPixel("Laser Big Glow", "XCo.rte")
		if Effect then
			Effect.Pos = gun.MuzzlePos
			Effect.PinStrength = 1000;
			MovableMan:AddParticle(Effect)
		end
		for i = 1, 5 do
			Effect = CreateMOPixel("Laser Spark 3", "XCo.rte")
			if Effect then
				local coords = Vector((math.random()*length),(math.random()*length)):RadRotate(math.random()*6.28318);
				Effect.Vel = coords * -0.25;
				Effect.Pos = gun.MuzzlePos + coords;
				MovableMan:AddParticle(Effect)
			end
		end
	elseif not gun:IsActivated() then length = 3 end
end